---
id: overview
title: Overview
sidebar_label: Home
slug: /
keywords: [Search UI, Elasticsearch Search UI, React Search Components]
description: Searchkit is an open source search toolkit built with Elasticsearch, GraphQL and React.
---

### What is Searchkit?

Searchkit is an open source search toolkit. See [why use Searchkit](https://searchkit.co/docs//quick-start/why).

Searchkit is made up of the following parts:

- [@searchkit/sdk](https://searchkit.co/docs/core/reference/searchkit-sdk): Browser & Node.js Client Search SDK.
- [@searchkit/client](https://searchkit.co/docs/core/reference/searchkit-client): Works in tandem with Searchkit's SDK to manage your search query state in React
- [@searchkit/elastic-ui](https://searchkit.co/docs/core/reference/searchkit-elastic-ui): Out the box UI search components based on Elastic UI framework

#### Integrations

- [@searchkit/schema](https://searchkit.co/docs/graphql/reference/schema): Searchkit GraphQL Schema

#### Code Sandbox Examples

- Searchkit SDK & Elastic UI [Code](https://codesandbox.io/s/searchkit-cra-xj25o0) | [Demo](https://xj25o0.csb.app/)
- Searchkit SDK & Node Express [Code](https://codesandbox.io/s/searchkit-node-express-js-example-c7bk7e) | [Demo](https://c7bk7e.sse.codesandbox.io/)
- Searchkit GraphQL & Elastic UI [Code](https://codesandbox.io/s/searchkit-graphql-example-if14fj) | [Demo](https://if14fj.sse.codesandbox.io/) | [GraphQL Playground](https://if14fj.sse.codesandbox.io/api/graphql)

#### Contributing to Searchkit

- [Contributing Guide](https://github.com/searchkit/searchkit/blob/next/contributing.md)
